> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withflock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Checkpoint



## OpenAPI

````yaml post /checkpoints/ingest
openapi: 3.0.0
info:
  title: Flock API
  description: API Documentation for Flock
  version: '1.0'
  contact: {}
servers:
  - url: https://api-dev.withflock.com
security: []
tags: []
paths:
  /checkpoints/ingest:
    post:
      tags:
        - Checkpoint
      operationId: CheckpointController_ingestCheckpoint
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IngestCheckpointDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyResponseDTO'
      security:
        - accessKey: []
components:
  schemas:
    IngestCheckpointDto:
      type: object
      properties:
        name:
          type: string
        externalUserId:
          type: string
        environment:
          type: string
          enum:
            - production
            - test
      required:
        - name
        - externalUserId
        - environment
    EmptyResponseDTO:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    accessKey:
      type: apiKey
      in: header
      name: Authorization

````